> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Card

> Update card display name



## OpenAPI

````yaml api-reference/banking-api/openapi.json PUT /banking/cards/{id}
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/cards/{id}:
    put:
      tags:
        - cards
      summary: Update a card
      description: Update card display name
      operationId: TrioFoundationWeb.Banking.Card.CardController.update
      parameters:
        - description: Card ID
          in: path
          name: id
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Card_update_params'
        description: Update Card
        required: true
      responses:
        '204':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTP204NoContent'
          description: Updated
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
      callbacks: {}
components:
  schemas:
    UUID:
      description: Unique identifier
      format: uuid
      title: UUID
      type: string
    Card_update_params:
      description: Card update params
      example:
        display_name: New marketing card
      properties:
        display_name:
          description: Display name
          type: string
      required:
        - display_name
      title: Card update params
      type: object
    HTTP204NoContent:
      example: No Content
      format: string
      title: HTTP204NoContent
      type: string
    JsonErrorResponse:
      properties:
        errors:
          items:
            properties:
              detail:
                example: null value where string expected
                type: string
              source:
                properties:
                  pointer:
                    example: /data/attributes/petName
                    type: string
                required:
                  - pointer
                type: object
              title:
                example: Invalid value
                type: string
            required:
              - title
              - source
              - detail
            type: object
          type: array
      required:
        - errors
      title: JsonErrorResponse
      type: object

````